Subject: bug#48007: computing derivations through inferior takes twice as long

From: Ludovic Courtès <[email-masked]>
Date: Thu, 27 Jan 2022 09:50:07 +0100

Hi,

Ricardo Wurmus <[email-masked]> skribis:

> I tried it in the GWL with the big RNAseq workflow I adopted from PiGx
> and the step to generate job scripts (which reference inferior packages)
> became considerably faster.  There is still potential for improvement,
> but this change is the difference between not too bad (15 seconds) and
> unusable (> 5 minutes).

Good, that’s a step in the right direction.

I’ve sent in this issue a cleaned up patch series that achieves the same
result, plus some micro-optimizations.  It’d be great if you could
confirm it still works for you.

Thanks,
Ludo’.